So-net無料ブログ作成

【Ubuntu 9.10】Canon MP610 インストール (libcupsys2が・・無い) [ubuntu]

今回はubuntu9.10でCanon MP610のプリンタ&スキャナのための設定です。

まず、当然キャノンのホームページからプリンタドライバをダウンロードしてきます。
私の場合は、MP610なので下記の4つのファイルをダウンロードしてきました。

cnijfilter-common_2.80-1_i386.deb
cnijfilter-mp610series_2.80-1_i386.deb
scangearmp-common_1.10-1_i386.deb
scangearmp-mp610series_1.10-1_i386.deb

それとついでに、マニュアル(ガイド&FAQ)が置いてあったのでダウンロードしておきました。

faq-pd-2.80-1.tar.gz
guidemp610series-pd-2.80-1.tar.gz
guidemp610series-sd-1.10-1.tar.gz

そしていざ、インストール。まずスキャナー。commonの方から入れないとダメらしい

root@ubuntu:~# dpkg -i  scangearmp-common_1.10-1_i386.deb
root@ubuntu:~# dpkg -i  scangearmp-mp610series_1.10-1_i386.deb

なにも問題無し。次にプリンタ。こちらもcommonの方から。

root@ubuntu:~# dpkg -i cnijfilter-common_2.80-1_i386.deb

あれ?libcupsys2が無いって弾かれた。Synaptic パッケージマネージャーで検索してもない!!

そして、ネットで調べたら・・・ありました。一応下記の2つは見つけました。

みんな苦労してるのね。感謝。

http://packages.ubuntu.com/ja/intrepid-updates/libcupsys2

http://security.ubuntu.com/ubuntu/pool/universe/c/cups/

上記から下記のファイルをダウンロード。

libcupsys2_1.3.9-17ubuntu3.4_all.deb

これをダウンロードして、先にインストール

root@ubuntu:~# dpkg -i libcupsys2_1.3.9-17ubuntu3.4_all.deb

表示によるとダミーパッケージと言ってた。それから、

root@ubuntu:~# dpkg -i scangearmp-common_1.10-1_i386.deb
root@ubuntu:~# dpkg -i scangearmp-mp610series_1.10-1_i386.deb

で、再起動かけたらスキャナーとプリンタが動きました。

ただ、 [システム]→[設定]→[デフォルトプリンタ]を選ぶと、

MP610-series <ホスト名>
MP610

と2つ表示されるのはなぜだろう?上のが動作して、下は無いと言われます。


nice!(0)  コメント(0) 
共通テーマ:パソコン・インターネット

nice! 0

コメント 0

コメントを書く

お名前:
URL:
コメント:
画像認証:
下の画像に表示されている文字を入力してください。

Facebook コメント

この広告は前回の更新から一定期間経過したブログに表示されています。更新すると自動で解除されます。

×

この広告は1年以上新しい記事の更新がないブログに表示されております。